package com.ruoyi.project.sems.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.DevData;
import com.ruoyi.project.sems.domain.TSpecdevDt;
import com.ruoyi.project.sems.his.domain.TSpechiDt;
import org.springframework.web.multipart.MultipartFile;

/**
 * 特种设备电梯台账Service接口
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public interface ITSpecdevDtService extends IService<TSpecdevDt>
{
    /**
     * 查询特种设备电梯台账
     *
     * @param id 特种设备电梯台账ID
     * @return 特种设备电梯台账
     */
    public TSpecdevDt selectTSpecdevDtById(Long id);

    /**
     * 查询特种设备电梯台账列表
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 特种设备电梯台账集合
     */
    public List<TSpecdevDt> selectTSpecdevDtList(TSpecdevDt tSpecdevDt);

    List<TSpecdevDt> selectTSpecdevDtListByYear(TSpecdevDt tSpecdevDt);

    /**
     * 新增特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    public int insertTSpecdevDt(TSpecdevDt tSpecdevDt);

    /**
     * 修改特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    public int updateTSpecdevDt(TSpecdevDt tSpecdevDt);

    /**
     * 批量删除特种设备电梯台账
     *
     * @param ids 需要删除的特种设备电梯台账ID
     * @return 结果
     */
    public int deleteTSpecdevDtByIds(Long[] ids);

    /**
     * 删除特种设备电梯台账信息
     *
     * @param id 特种设备电梯台账ID
     * @return 结果
     */
    public int deleteTSpecdevDtById(Long id);

    List<DevData> otherDevCount(Map<String, Object> params);

    int updateTSpecdevDtByHi(TSpechiDt hientity);


    void duplicateTSpecdevDt();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String toString) throws Exception;
}
